com.abbyy.mobile.rtr

## Enum TextCapture.TextType

- java.lang.Object
- - java.lang.Enum<TextCapture.TextType>
  - - com.abbyy.mobile.rtr.TextCapture.TextType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextCapture.TextType>
  Enclosing interface:
    TextCapture

      public static enum TextCapture.TextType
      extends java.lang.Enum<TextCapture.TextType>

  The type of the text to recognize. By default, only the 'Normal' text type is set. This is sufficient in most cases. Setting the correct text type for your text could improve the accuracy of recognition. However, setting multiple text types may slow down the performance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Matrix` Matrix
    `MICR_CMC7` MICR_CMC7
    `MICR_E13B` MICR_E13B
    `Normal` Normal
    `OCR_A` OCR_A
    `OCR_B` OCR_B
    `Receipt` Receipt

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextCapture.TextType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextCapture.TextType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Normal

          public static final TextCapture.TextType Normal

      Normal

    - #### Matrix

          public static final TextCapture.TextType Matrix

      Matrix

    - #### OCR_A

          public static final TextCapture.TextType OCR_A

      OCR_A

    - #### OCR_B

          public static final TextCapture.TextType OCR_B

      OCR_B

    - #### MICR_E13B

          public static final TextCapture.TextType MICR_E13B

      MICR_E13B

    - #### MICR_CMC7

          public static final TextCapture.TextType MICR_CMC7

      MICR_CMC7

    - #### Receipt

          public static final TextCapture.TextType Receipt

      Receipt

  - ### Method Detail

    - #### values

          public static TextCapture.TextType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextCapture.TextType c : TextCapture.TextType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextCapture.TextType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null